Page MenuHomePhabricator

Add developer agreement when they register their app
Closed, ResolvedPublic

Description

Michelle thought it would be a good idea to have an app policy that the developers agree to when submitting their application.

Something like,

"We reserve the right to disable your application, remove or restrict you or your application's access to OAuth, and pursue any other course of action we deem appropriate if we believe, in our sole judgment, that you or your application are violating any policy, guideline, and guiding principle of the Wikimedia Foundation.

We can change this Application Policy at any time without prior notice, at our sole discretion and as we deem necessary. Your continued use of OAuth constitutes acceptance of those changes."

She is willing to work with us to come up with a more official policy.


Version: unspecified
Severity: normal

Details

Reference
bz62688
Related Gerrit Patches:
mediawiki/extensions/OAuth : masterAdd developer agreement

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 2:53 AM
bzimport set Reference to bz62688.
bzimport added a subscriber: Unknown Object (MLST).
csteipp created this task.Mar 15 2014, 1:42 AM

Change 159350 had a related patch set uploaded by CSteipp:
Add developer agreement

https://gerrit.wikimedia.org/r/159350

bd808 triaged this task as Medium priority.Mar 6 2015, 2:03 AM
bd808 moved this task from Backlog to Needs Review on the MediaWiki-extensions-OAuth board.
bd808 added a subscriber: bd808.

Change 159350 had a related patch set uploaded (by Gergő Tisza):
Add developer agreement

https://gerrit.wikimedia.org/r/159350

Change 159350 merged by jenkins-bot:
Add developer agreement

https://gerrit.wikimedia.org/r/159350

Tgr closed this task as Resolved.Jun 22 2015, 9:13 PM
Tgr claimed this task.